#include <dos.h>
#include <stdlib.h>

int   _getdrive(void)
{
	int drive;
	_dos_getdrive(&drive);
	return drive;
}
int   _chdrive(int __drive)
{
	int rv = _getdrive();
	int nd ;
	_dos_setdrive(__drive,&nd);
	return rv;
}
char * _getdcwd(int __drive, char *__buf, int __len)
{
	char tbuf[256];
	_dos_getpwd(tbuf,__drive);
	memcpy(__buf,tbuf,__len);
	__buf[__len-1]=0;
	return __buf ;
}